# Deepin Package Manager |../common/deepin-deb-installer.svg|

## Overview

Deepin Package Manager is an application used to help users install and remove local software, supports bulk install.


## Basic Operations

### Run Deepin Package Manager

- Double click on a .deb package to run.
- Click on the icon of Deepin Package Manager to run.

![1|add](jpg/add.jpg)


### Single Install

1. On Deepin Package Manager interface, click on **Select File** to add a .deb package.
2. The application will detect the package status:
   - Newly installed, select **Install** to continue.
   - Other version installed, select **Reinstall** to continue or **Remove** to uninstall.
3. Password required to continue when clicking on **Install** or **Reinstall**.
4. Click on ![arrow_up](icon/arrow_up.svg) or ![arrow_down](icon/arrow_down.svg) to display or collapse the installing process.
5. Click on **Back** to newly add or click on **OK** to exit.


> ![notes](icon/notes.svg): You can also drag and drop file to Deepin Package Manager to add.

![1|single-install](jpg/single-install.jpg)


### Bulk Install

1. On Deepin Package Manager interface, click on **Select File** to add .deb packages.
2. Click on the top right Delete button if you want to delete one.
3. Password required to continue when clicking on **Install**.
4. Click on ![arrow_up](icon/arrow_up.svg) or ![arrow_down](icon/arrow_down.svg) to display or collapse the installing process.
5. The installation status will be displayed on the right of each package, such as installed, installing and failed.
6. Click on **Back** to newly add or click on **OK** to exit.


> ![notes](icon/notes.svg): No more file can be added after you successfully added multiple files in one time.

![1|bulk-install](jpg/bulk-install.jpg)



### Unable to Install

1. On Deepin Package Manager interface, click on **Select File** to add a .deb package.
2. View the reason unable to install: broken dependencies or unmatched package architecture.
3. Click on **Back** to newly add or click on **OK** to exit.

![1|unable](jpg/unable.jpg)


### Uninstall

1. On Deepin Package Manager interface, click on **Select File** to add a .deb package.
2. The application will detect the package status:
   - Newly installed, select **Install** to continue.
   - Other version installed, select **Reinstall** to continue or **Remove** to uninstall.
3. Click on **Remove**, then there will be a prompt and click on **Confirm** to uninstall.
4. Click on ![arrow_up](icon/arrow_up.svg) or ![arrow_down](icon/arrow_down.svg) to display or collapse the uninstall process.
5. Click on **Back** to newly add or click on **OK** to exit.

![1|remove](jpg/remove.jpg)


## Main Menu

### Help

You can click to view the manual, which will help you further know and use Deepin Package Manager.

1. On Deepin Package Manager interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **Help**.
3. View the manual.




### About

You can click to view the version description.

1. On Deepin Package Manager interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **About**.
3. View the version description.




### Exit

You can click to exit Deepin Package Manager.

1. On Deepin Package Manager interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **Exit** to exit.
